Skip to main content
GET
List locations

Authorizations

Authorization
string
header
required

An API token from Sign in, sent as Authorization: Bearer <token>. Tokens last 30 days.

Query Parameters

include
string

Comma-separated list of relationships to include.

Available options: parent, children, storageCategory, warehouse, company, creator

Example:

"parent,storageCategory"

filter[id]
string

Comma-separated list of IDs to filter by

Example:

"architecto"

filter[name]
string

Filter by location name

Example:

"Stock"

filter[full_name]
string

Filter by full location name

Example:

"WH/Stock"

filter[type]
string

Filter by location types

Example:

"internal"

filter[barcode]
string

Filter by barcode

Example:

"LOC-01"

filter[parent_id]
string

Filter by parent location IDs

Example:

"architecto"

filter[storage_category_id]
string

Filter by storage category IDs

Example:

"architecto"

filter[warehouse_id]
string

Filter by warehouse IDs

Example:

"architecto"

filter[company_id]
string

Filter by company IDs

Example:

"architecto"

sort
string

Sort field

Example:

"-created_at"

Response

Success